<script setup lang="ts">
import { useAppStore } from '~/stores/app';

const app = useAppStore()

app.fetchTickets();
</script>

<template>
    <div>
        <h2 class="mb-4 text-2xl leading-none tracking-tight text-gray-900 md:text-4xl dark:text-white">Tickets à trier
        </h2>
        <div>
            <div v-for="ticket in app.routingTickets" :key="ticket.id" class="relative">
                <span class="bg-blue-200 text-xs font-medium text-blue-800 text-center p-0.5 leading-none rounded-full px-2 dark:bg-blue-900 dark:text-blue-200 absolute -translate-y-1/2 -translate-x-1/2 right-auto top-0 left-0">Admin</span>
                <div
                    class="w-full p-6 bg-white border border-gray-200 rounded-lg shadow dark:bg-gray-800 dark:border-gray-700 flex justify-between mb-6 mt-6">
                    <a href="#">
                        <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">Ticket #{{
                ticket.id }}</h5>
                        <p class="text-gray-600 dark:text-gray-400">Ouvert depuis 30s...</p>
                    </a>
                    <NuxtLink :href="'/routing/' + ticket.id"
                        class="inline-flex items-center px-3 py-2 text-sm font-medium text-center text-white bg-blue-700 rounded-lg hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                        Trier
                        <svg class="rtl:rotate-180 w-3.5 h-3.5 ms-2" aria-hidden="true"
                            xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 10">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                                d="M1 5h12m0 0L9 1m4 4L9 9" />
                        </svg>
                    </NuxtLink>
                </div>
            </div>
        </div>
    </div>
</template>

<style></style>
